'use strict';
/* eslint-disable no-await-in-loop */
import { existsSync } from 'node:fs';
import { readFile } from 'node:fs/promises';
export async function getPackageDirectories(dxConfigFile) {
    if (!existsSync(dxConfigFile)) {
        throw Error(`Salesforce DX Config File does not exist in this path: ${dxConfigFile}`);
    }
    const sfdxProjectRaw = await readFile(dxConfigFile, 'utf-8');
    const sfdxProject = JSON.parse(sfdxProjectRaw);
    const packageDirectories = sfdxProject.packageDirectories.map((directory) => directory.path);
    return packageDirectories;
}
//# sourceMappingURL=getPackageDirectories.js.map